---
title: translate
slug: Web/HTML/Global_attributes/translate
tags:
  - Experimental
  - Global attributes
  - HTML
  - Reference
---
<div>{{HTMLSidebar("Global_attributes")}}</div>

<p><span class="seoSummary">The <strong><code>translate</code></strong> <a href="/en-US/docs/Web/HTML/Global_attributes">global attribute</a> is an enumerated attribute that is used to specify whether an element's <em>translateable attribute</em> values and its {{domxref("Text")}} node children should be translated when the page is localized, or whether to leave them unchanged.</span> It can have the following values:</p>

<ul>
 <li>empty string or "<code>yes</code>", which indicates that the element should be translated when the page is localized.</li>
 <li>"<code>no</code>", which indicates that the element must not be translated.</li>
</ul>

<p>Although not all browsers recognize this attribute, it is respected by automatic translation systems such as Google Translate, and may also be respected by tools used by human translators. As such it's important that web authors use this attribute to mark content that should not be translated.</p>

<h2 id="Examples">Examples</h2>

<p>In this example, the <code>translate</code> attribute is used to ask translation tools not to translate the company's brand name in the footer.</p>

<pre class="notranslate">&lt;footer&gt;
  &lt;small&gt;© 2020 &lt;span translate="no"&gt;BrandName&lt;/span&gt;&lt;/small&gt;
&lt;/footer&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "dom.html#attr-translate", "translate")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from latest snapshot, {{SpecName('HTML5.1')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', "dom.html#the-translate-attribute", "translate")}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td>Snapshot of {{SpecName('HTML WHATWG')}}, initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.global_attributes.translate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>All <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</li>
 <li>The {{domxref("HTMLElement.translate")}} property that reflects this attribute.</li>
 <li><a href="https://www.w3.org/International/questions/qa-translate-flag">Using HTML's translate attribute</a>.</li>
 <li>HTML {{htmlattrxref("lang")}} attribute</li>
</ul>
